macOS 10.15 Catalina Compatibility

  • 3.8K Views
  • Last Post 01 July 2020
David Brown posted this 09 September 2019

I use a PegasusR2 and, of course, the Promise Utility software. With macOS 10.15 Catalina due to be released soon, I would appreciate any information you have about compabibility. It will help me with formulating an Installation plan.

Thank you.

  • Liked by
  • Jordane Elmassian
Order By: Standard | Latest | Votes
Ranjith kumar posted this 12 September 2019

Hi David,

We have not tested yet Pegasus2 with Mac OS 10.15 Catalina, once it get official release, we will verify and will update you.
Kindly reach us through support.promise.com for quick response.

Note:Kindly eject the Pegasus2 volume if you are looking for Mac OS update before.

Thank you

Regards,

Promise Team

 

  • Liked by
  • Jordane Elmassian
David Brown posted this 12 September 2019

Thank you for the information.

Isaac Insoll posted this 09 October 2019

Hi, 

Now that 10.15 is out can we get an update on Pegasus2 Support?

I can log a support ticket if you wish but I'm sure I'm not the only person wanting to know this so I thought it would be better having the official response "in public". 

 

Thanks,

 

John Shinn posted this 09 November 2019

My mac updated automaticaly to Catalina now I am not able to get into my Pegasus2 drive.

  • Liked by
  • Jordane Elmassian
Jordane Elmassian posted this 11 November 2019

I have the same problem. I just upgraded last Friday. Now it's veteran's day I don't have access to the media we were planning to use with the Family. It's disapointing as you have known about this for 2 months now and have Catalina for one month.

daniel dayani posted this 12 November 2019

I have the same problem. I just upgraded last Friday. Now it's veteran's day I don't have access to the media we were planning to use with the Family. It's disapointing as you have known about this for 2 months now and have Catalina for one month.

 

I just bought this dang tihng and now its not being read on catalina. Can we please get a fix ASAP?

Shafikur Rahman posted this 28 November 2019

Hi Doonas,

 

 The Pegasus 2 is now supported with OS catalina. Please check our website https://promise.com/support for downloading the 

latest utility.

 

Regards

Promise Team

David Brown posted this 03 December 2019

The Release Notes on the download site list Promise Utility version Mac SW 4.04.0000.37 as newly available. However, I can not find it on your site. Also, the Check for Updates function in Promise Utility versoin 4.xxx.21 reports that it is the latest version. Please advise.

R P posted this 03 December 2019

Hi David,

There is a utility with support for 10.15 on the downloads page now. It was posted on 11/21/2019.

This filename is R_Promise_Utility_404000037.dmg, it's the utility you are looking for.

You can download it from here rather than the legacy page if you wish.

https://www.promise.com/DownloadFile.aspx?DownloadFileUID=6285

David Brown posted this 03 December 2019

Thanks for the response. I didn't realize it would be on the Legacy Page of the Downloads Center - the Pegasus2 is also listed on the Current Products page, which confused me. The Pegasus2 R6 is still shown on your website - but is it discontinued (hence the Legacy status?)

Khaldun Karazoun posted this 28 January 2020

I am getting this message when I try to mount Pegasus2 M4 on Catalina MAC OS. 

 

Could not mount “Promise Pegasus”. (com.apple.DiskManagement.disenter error -119930872.)

I already downloaded the utility and installed it.. Any other tips?

The pegasus Utility can see the Device and report on it.

However, I can not see the device on finder and when I try to mount Pegusus2 M4 from the MAC disk utility I get the error listed above.

HELP!!

Khaldun Karazoun posted this 29 January 2020

Happy to report that problem is solved. 

2 Steps ..

1. Updated the Pegasus utility to the latest version. I suggest that you update using the utility check for updates menu 

2. Updated firmware using the utility check for updates after you update the utility. Reboots system automatically.

3. All Thunderbolt and USB drives are working now

Suheyl Khaki posted this 02 February 2020

Hi David,

There is a utility with support for 10.15 on the downloads page now. It was posted on 11/21/2019.

This filename is R_Promise_Utility_404000037.dmg, it's the utility you are looking for.

You can download it from here rather than the legacy page if you wish.

https://www.promise.com/DownloadFile.aspx?DownloadFileUID=6285

Suheyl Khaki posted this 02 February 2020

I am using Promise Utility 4.04.0000.39 (C01) on Catalina 10.15.2 on a Mac Pro 2019 with an Apple Thunderbolt 2-> 3 adapter.  My setup was working fine on my imac Pro after a driver update.  When I moved to the Mac Pro, I can no longer get the Pegasus 2 to be recognized.

 

Please advise.  I have applied the latest driver.

Antonio Urquijo de Simon posted this 06 March 2020

Hello everyone.

I just got a MBP16" with Catalina 10.5.3 MacOS X installed.

I have a Promise J4 and I try Promise Utility 37 and 39 and none of both works. Does not even show the diveces. 

I have it using a Thunderbolt 3 to Thunderbolt 2 Adaptor. In System Report I can see it is there and actually recognize other Thunderbolt Units but no the Promise J4 with 4x HDDs 2.5" Drives.

Please provide with a solution ASAP.


Thank you.

Nicholas Kustreba posted this 14 March 2020

Thanks for this post, FYI this works for the older Pegasus as well, it fixed the problem of not being able to run the service report

Yuichiro Mori posted this 24 April 2020

Hi,

Pegasus2 Utility for Mac 4.04.0000.40 (support macOS 10.13, 10.14)

Is 4.04.0000.40 compatible with 10.15?

I installed it, but Daemon freezes in the background.

Promise Utility 37 and 39 are fine.

Howard Womersley posted this 01 June 2020

It appears that the Pegasus2 R2+ only works with version 4.02.0000.21 of the Promise Utility.

But only version 4.04.0000.40 of the Promise Utility is compatible with Mac OS Catalina (10.15).

I used the 'Check for updates' feature in the utility, updated to version 4.04.0000.40 and it resulted in a system freeze. So, it appears that version 4.04.0000.40 of the Promise Utility is not compatible with Mac OS 10.14.

So, still no Utility for Pegasus2 R2+ and Mac OS Catalina.

Marjan Trutschl posted this 06 June 2020

***** UPDATED *****

I rate retaurants by the cleanliness of restrooms and the quality of salad ingredients. Similarly, I rate computer hardware companies by their support for the legacy products. Have several Pegasus2 and Pegasus3 devices and am unhappy with the lack of support for "older" devices under MacOS Catalina (10.15). This is not acceptable. I like my Pegasus{2|3} units. However, I feel that Promise does not care about their faithful customers.

This being said, I got both Pegasus2 and Pegasus3 devices working with my new iMac under Catalina. Do not really know what did the trick because I tried several things. Currently, I have both Promise Utility version 4.04.0000.40 (C6) [WWW] and the Promise driver for Pegasus2 [WWW] and Pegasus3 [WWW] installed. I also installed the latest firmware [Pegasus2] [Pegasus3] on all devices. You may want to try just the Promise Utility (4.04.0000.40 (C6)) and update the firmware (you will have to reboot the machine) and see if that does it. I do not want to mess with uninstalling the driver at the moment because the synchronization (LD 0) has been running for over 24 hours on my 64TB Pegasus3 device and it is better if I do not mess with it. However, I will try to make the same work with my 16" MacBook Pro and once I know what the minimum software requirements are, I will post them here.

I hope that Promise finds an idle intern this summer to address the support documentation for current as well as legacy products. This stuff appears to work under Catalina just fine. They just need somebody to check and document it. I know that the marketing side is probably not crazy about that but they must understand that only happy current customers will go out and buy their product again.

Carl Pohle posted this 07 June 2020

I use 2 Promise Pegasus R6 successfully:

One on an iMac running macOS Mojave 10.14.6  and Promise Utility 4.04.000.39 (C01)

One in a MacBook Air running macOS Catalina 10.15.5 and Promise Utility 4.04.000.40 (C6)

 

Show More Posts
Close